import 'package:diagram_editor_apps/simple_diagram_editor/data/node_data.dart';
import 'package:diagram_editor_apps/simple_diagram_editor/data/workflow_node_connector.dart';
import 'package:diagram_editor_apps/simple_diagram_editor/widget/editor.dart';
import 'package:diagram_editor_apps/simple_diagram_editor/widget/manage_documents.dart';
import 'package:event_bus/event_bus.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class AddItemEvent {
  final NodeData node;
  final String source;
  final String? target;
  final String? linkId;
  final bool isTrigger;

  AddItemEvent(
      {required this.node,
      required this.source,
      required this.target,
      required this.linkId,
      this.isTrigger = false});
}

EventBus eventBus = EventBus();
void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      // showPerformanceOverlay: !kIsWeb,
      showPerformanceOverlay: false,
      title: 'Diagram editor',
      initialRoute: '/',
      routes: {
        '/': (context) => HomeScreen(),
        '/editor': (context) => SimpleDemo(),
        '/popover': (context) => ManageDocuments()
      },
    );
  }
}

class HomeScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        body: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text('Example popover in chart'),
              SizedBox(height: 40),
              SizedBox(height: 40),
              ElevatedButton(
                style: ButtonStyle(
                  backgroundColor: MaterialStateProperty.all(Colors.blue),
                ),
                child: Text('Popover test'),
                onPressed: () {
                  Navigator.pushNamed(context, '/popover');
                },
              ),
            ],
          ),
        ),
      ),
    );
  }
}

class SimpleDemo extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        body: SimpleDemoEditor(),
      ),
    );
  }
}
