import 'package:diagram_editor_apps/simple_diagram_editor/data/workflow_node_connector.dart';

enum WorkflowNodeType {
  Start,
  Stop,
}

class WorkflowNode {
  late String id;
  late String friendlyName;
  late WorkflowNodeType type;
  //Object object;
  late List<WorkflowNodeConnector> connectors;
  int? visualX;
  int? visualY;

  WorkflowNode(
      {required this.id,
      required this.friendlyName,
      required this.type,
      //this.object,
      required this.connectors,
      this.visualX,
      this.visualY});

  WorkflowNode.fromJson(Map<String, dynamic> json) {
    id = json['Id'];
    friendlyName = json['FriendlyName'];
    type = json['Type'];
    /*object =
        json['Object'] != null ? new Object.fromJson(json['Object']) : null;*/
    if (json['Connectors'] != null) {
      connectors = <WorkflowNodeConnector>[];
      json['Connectors'].forEach((v) {
        connectors.add(new WorkflowNodeConnector.fromJson(v));
      });
    }
    visualX = json['VisualX'];
    visualY = json['VisualY'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['Id'] = this.id;
    data['FriendlyName'] = this.friendlyName;
    data['Type'] = this.type;
    /*if (this.object != null) {
      data['Object'] = this.object.toJson();
    }*/
    if (this.connectors != null) {
      data['Connectors'] = this.connectors.map((v) => v.toJson()).toList();
    }
    data['VisualX'] = this.visualX;
    data['VisualY'] = this.visualY;
    return data;
  }
}
