import 'package:diagram_editor/diagram_editor.dart';
import 'package:diagram_editor_apps/simple_diagram_editor/data/node_data.dart';
import 'package:diagram_editor_apps/simple_diagram_editor/data/worklow_node.dart';
import 'package:diagram_editor_apps/simple_diagram_editor/widget/nodes/x_base_node.dart';
import 'package:flutter/material.dart';

mixin CreateNodePolicy implements ComponentDesignPolicy {
  @override
  Widget showComponentBody(ComponentData componentData) {
    var isStop = false;

    if (componentData.type == WorkflowNodeType.Start.value) {
      return XBaseNode(
        nodeData: NodeData(
            title: "Test",
            description: "Tap click me to test the popover",
            type: WorkflowNodeType.Start,
            iconData: Icons.link,
            connectors: [],
            possibleTriggers: []),
        componentData: componentData,
        isStop: false,
        policy: this,
      );
    }
    if (componentData.type == WorkflowNodeType.Stop.value) {
      isStop = true;
    }

    return XBaseNode(
      nodeData: componentData.data,
      componentData: componentData,
      isStop: isStop,
      policy: this,
    );
  }
}
