import 'package:diagram_editor_apps/simple_diagram_editor/widget/editor.dart';
import 'package:flutter/material.dart';
import 'package:popover/popover.dart';

class ManageDocuments extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: CustomScrollView(
        physics: const BouncingScrollPhysics(),
        slivers: [
          SliverAppBar(
            floating: true,
            expandedHeight: 60,
            backgroundColor: Theme.of(context).scaffoldBackgroundColor,
            title: Text(
              'Manage Documents',
              style: TextStyle(color: Colors.black),
            ),
            centerTitle: true,
            actions: [
              PopMe(),
              IconButton(
                icon: Icon(
                  Icons.add,
                  color: Colors.black,
                ),
                onPressed: () => showPopover(
                  context: context,
                  bodyBuilder: (context) => SafeArea(
                    child: Container(
                      color: Colors.red,
                      child: Column(
                        children: [
                          Text('Text One'),
                          Text('Text Two'),
                          Text('Text Three'),
                        ],
                      ),
                    ),
                  ),
                ),
              ),
            ],
          ),
          SliverFillRemaining(
            child: SimpleDemoEditor(),
          )
        ],
      ),
    );
  }
}

class PopMe extends StatelessWidget {
  const PopMe({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return IconButton(
      icon: Icon(
        Icons.add,
        color: Colors.black,
      ),
      onPressed: () => showPopover(
        context: context,
        bodyBuilder: (context) => Container(
          color: Colors.red,
          child: Column(
            children: [
              Text('Text One'),
              Text('Text Two'),
              Text('Text Three'),
            ],
          ),
        ),
      ),
    );
  }
}
